fix missing chmod - close #278

Tue, 25 Jul 2023 17:37:51 +0200

author
Mike Becker <universe@uap-core.de>
date
Tue, 25 Jul 2023 17:37:51 +0200
changeset 27
e6e7e63b8b5e
parent 26
0a5e13216803
child 28
98a259eabbf2

fix missing chmod - close #278

dist/install.sh file | annotate | diff | comparison | revisions
--- a/dist/install.sh	Tue Jul 25 17:18:53 2023 +0200
+++ b/dist/install.sh	Tue Jul 25 17:37:51 2023 +0200
@@ -41,13 +41,18 @@
 #
 echo "cp ../target/uwproj-0.1-jar-with-dependencies.jar $PREFIX/lib/uwproj/uwproj-0.1.jar"
 cp "../target/uwproj-0.1-jar-with-dependencies.jar" "$PREFIX/lib/uwproj/uwproj-0.1.jar" \
-   || exit_on_error "Installing JAR file failed."
+  || exit_on_error "Installing JAR file failed."
 
 #
 # create a run script in the bin dir
 #
 echo "cp bin/uwproj $PREFIX/bin"
 sed "s:%%PREFIX%%:$PREFIX:g" "bin/uwproj" > "$PREFIX/bin/uwproj" \
-   || exit_on_error "Creating run script failed."
+  || exit_on_error "Creating run script failed."
 
+echo "chmod 0555 $PREFIX/bin/uwproj"
+chmod 0755 "$PREFIX/bin/uwproj" \
+  || exit_on_error "Changing permissions for run script failed."
 
+echo
+echo "uwproj has been successfully installed."

mercurial